Page MenuHomeFreeBSD

sys/gdb: Support hardware breakpoints
ClosedPublic

Authored by andrew on Mar 14 2024, 3:23 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jul 7, 1:26 PM
Unknown Object (File)
Thu, Jul 4, 7:40 AM
Unknown Object (File)
Sun, Jun 30, 11:50 PM
Unknown Object (File)
Sun, Jun 23, 12:11 AM
Unknown Object (File)
Fri, Jun 14, 11:09 AM
Unknown Object (File)
Jun 3 2024, 4:23 AM
Unknown Object (File)
May 28 2024, 8:17 PM
Unknown Object (File)
May 23 2024, 6:52 PM
Subscribers

Details

Summary

Support the use of hardware breakpoints in the kernel gdb stub.

Sponsored by: Arm Ltd

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision is now accepted and ready to land.Mar 19 2024, 5:29 PM
This revision now requires review to proceed.Mar 21 2024, 3:51 PM
This revision was not accepted when it landed; it landed in state Needs Review.Apr 12 2024, 9:38 AM
This revision was automatically updated to reflect the committed changes.